Nie jesteś zalogowany na forum.

#1 2019-10-25 06:52:20

pavbaranov
Administrator
Lokalizacja: Kraków
Data rejestracji: 2015-08-22
Liczba postów: 2,220
WWW

Konieczność przebudowy paczek po aktualizacji

Krótkie pytanie: nie znacie sposobu na ustalenie wszystkich paczek, które wymagają przebudowania skutkiem pojawienia się w systemie zaktualizowanej wersji jakiejś paczki zależnej?


Hardware: AMD: A8-7410 APU with Radeon R5; Arch testing+kde-unstable, kernel linux-pb, KDE+poprawki
https://deviantart.com/pavbaranov/ https://pavbaranov.blogspot.com https://linux-pavbaranov.blogspot.com

Online

#2 2019-10-25 19:04:23

nycko
Użytkownik
Data rejestracji: 2015-10-31
Liczba postów: 110
WWW

Odp: Konieczność przebudowy paczek po aktualizacji

Znalazłem coś takiego https://bbs.archlinux.org/viewtopic.php … 0#p1455525 co właściwie jest listą kroków do zrobienia, aby przynajmniej w większości takie pakiety odnaleźć.

Ostatnio edytowany przez nycko (2019-10-25 19:06:11)

Offline

#3 2019-10-26 06:41:23

pavbaranov
Administrator
Lokalizacja: Kraków
Data rejestracji: 2015-08-22
Liczba postów: 2,220
WWW

Odp: Konieczność przebudowy paczek po aktualizacji

Pewnie się niejasno wyraziłem. @nycko, to co jest opisane w tym wątku mogą zrobić w sposób automatyczny dwie paczki, które można zainstalować z AUR: aurebuildcheck-git oraz findbrokenpkgs. Działają fajnie. Pierwszy sprawdza ewentualną konieczność przebudowania paczek, które nie znajdują się w repozytorium, drugi wszystkich binarek. Jedyny mankament, to nie potrafią odróżnić, czy zależność jest konieczna, czy opcjonalna. Podpowiedź jest jednak spora.
Niemniej jednak gubią się w takich przypadkach jak np. kwin czy akonadi, które wymagają przebudowania przy każdej praktycznie zmianie Qt5 (na pewno przy "dużych" wersjach, bo co do poprawkowych nie mam pewności), a tego nie pokaże. Oczywiście paczki w repozytoriach są odpowiednio dostosowywane przez deweloperów. Jednakże w przypadku kde-unstable już niekoniecznie wszystkie, bo arojas nie przebudowuje np. akonadi.
Mi przede wszystkim chodzi właśnie o takie paczki jak ona. Z innymi można sobie poradzić owymi skryptami, o których wspomniałem.


Hardware: AMD: A8-7410 APU with Radeon R5; Arch testing+kde-unstable, kernel linux-pb, KDE+poprawki
https://deviantart.com/pavbaranov/ https://pavbaranov.blogspot.com https://linux-pavbaranov.blogspot.com

Online

#4 2020-01-31 01:39:38

rzax666
Użytkownik
Data rejestracji: 2018-12-11
Liczba postów: 58

Odp: Konieczność przebudowy paczek po aktualizacji

tez sie nadtym zastanawialem ale bez rekompilacji ... bo dziala w open source duzo szpiegow i zmieniaja bez sensu api czesto ... w sensie bibloteke dodac do paczki programu .. tylko problem z bezpieczenstwem z 2 strony ;/

Offline

#5 2020-01-31 08:44:17

pavbaranov
Administrator
Lokalizacja: Kraków
Data rejestracji: 2015-08-22
Liczba postów: 2,220
WWW

Odp: Konieczność przebudowy paczek po aktualizacji

A jaśniej?


Hardware: AMD: A8-7410 APU with Radeon R5; Arch testing+kde-unstable, kernel linux-pb, KDE+poprawki
https://deviantart.com/pavbaranov/ https://pavbaranov.blogspot.com https://linux-pavbaranov.blogspot.com

Online

Stopka

Forum oparte na FluxBB